### Function

# FwupdPlugin efi_variable_store_state_from_string

since: 1.0

#### Declaration [src]

    FuEfiVariableStoreState
    fu_efi_variable_store_state_from_string (
      const gchar* val
    )

#### Description [src]

Converts a string to an enumerated value.

Available since: 1.0

#### Parameters

`val`

  Type: `const gchar*`

  A string, e.g. `healthy`

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuEfiVariableStoreState`

Enumerated value.